package com.avg.zaap.crashlibrary.provider.app;

import com.avg.zaap.crashlibrary.core.writer.DataWriter;
import com.avg.zaap.crashlibrary.core.writer.IDataWriter;

/**
 * This class serves as the default dependency factory for the {@link BuildConfigProviderFactory}.
 * <p>
 * Created by marek.osvald on 29.4.2016.
 */
public class BuildConfigProviderFactory implements IBuildConfigProviderFactory {

    @Override
    public IDataWriter getDataWriter() {
        return new DataWriter();
    }

    @Override
    public IClassFieldHelper getClassFieldHelper() {
        return new ClassFieldHelper();
    }

}
